Subject: Re: [PATCH 2/6] update-ref: add support for 'symref-verify' command

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 21 May 2024 08:41:49 +0200

On Fri, May 17, 2024 at 06:21:53PM +0200, Karthik Nayak wrote:
> Patrick Steinhardt <[email-masked]> writes:
> > On Tue, May 14, 2024 at 02:44:07PM +0200, Karthik Nayak wrote:
> > So the reference-transaction hook executes even for "symref-verify"?
> > This feels quite unexpected to me. Do we do the same for "verify"?
> 
> Yes this is the same for verify as well. I was surprised to find this
> too. It's just the way ref update code is written, all updates land
> trigger the hook. This means verify, which is also a form of update,
> with just the new value not set, also triggers the hook. I've kept the
> same behavior with symref-verify.

Weird. I wonder whether we should declare this a bug. In any case, that
can be handled in a separate patch series.

Patrick